org.wso2.extension.siddhi.execution.ml.samoa.utils

## Class DataStream

- java.lang.Object
- - org.apache.samoa.moa.AbstractMOAObject
  - - org.apache.samoa.moa.options.AbstractOptionHandler
    - - org.apache.samoa.streams.clustering.ClusteringStream
      - - org.wso2.extension.siddhi.execution.ml.samoa.utils.DataStream

- All Implemented Interfaces:
    com.github.javacliparser.Configurable, Serializable, org.apache.samoa.moa.MOAObject, org.apache.samoa.moa.options.OptionHandler, org.apache.samoa.streams.ExampleStream<org.apache.samoa.moa.core.Example<org.apache.samoa.instances.Instance>>, org.apache.samoa.streams.InstanceStream
  Direct Known Subclasses:
    StreamingClassificationStream, StreamingClusteringStream, StreamingRegressionStream

      public abstract class DataStream
      extends org.apache.samoa.streams.clustering.ClusteringStream

  Data Stream
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Queue<double[]>` | `cepEvents`
    `protected int` | `numberOfAttributes`
    `protected int` | `numberOfGeneratedInstances`
    `protected org.apache.samoa.instances.InstancesHeader` | `streamHeader`
    `protected double[]` | `values`

    - ### Fields inherited from class org.apache.samoa.streams.clustering.ClusteringStream

      `decayHorizonOption, decayThresholdOption, evaluationFrequencyOption, numAttsOption`

    - ### Fields inherited from class org.apache.samoa.moa.options.AbstractOptionHandler

      `config`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataStream()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `estimatedRemainingInstances()`
    `protected abstract void` | `generateHeader()`
    `void` | `getDescription(StringBuilder stringBuilder, int i)`
    `org.apache.samoa.instances.InstancesHeader` | `getHeader()`
    `boolean` | `hasMoreInstances()`
    `boolean` | `isRestartable()`
    `abstract org.apache.samoa.moa.core.Example<org.apache.samoa.instances.Instance>` | `nextInstance()`
    `protected abstract void` | `prepareForUseImpl(org.apache.samoa.moa.tasks.TaskMonitor taskMonitor, org.apache.samoa.moa.core.ObjectRepository objectRepository)`
    `void` | `restart()`
    `void` | `setCepEvents(Queue<double[]> cepEvents)`

    - ### Methods inherited from class org.apache.samoa.streams.clustering.ClusteringStream

      `getDecayHorizon, getDecayThreshold, getEvaluationFrequency`

    - ### Methods inherited from class org.apache.samoa.moa.options.AbstractOptionHandler

      `copy, getCLICreationString, getOptions, getPreparedClassOption, getPurposeString, prepareClassOptions, prepareForUse, prepareForUse`

    - ### Methods inherited from class org.apache.samoa.moa.AbstractMOAObject

      `copy, measureByteSize, measureByteSize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.samoa.moa.MOAObject

      `copy, measureByteSize`

- - ### Field Detail

    - #### streamHeader

          protected org.apache.samoa.instances.InstancesHeader streamHeader

    - #### numberOfGeneratedInstances

          protected int numberOfGeneratedInstances

    - #### numberOfAttributes

          protected int numberOfAttributes

    - #### cepEvents

          public Queue<double[]> cepEvents

    - #### values

          protected double[] values

  - ### Constructor Detail

    - #### DataStream

          public DataStream()

  - ### Method Detail

    - #### prepareForUseImpl

          protected abstract void prepareForUseImpl(org.apache.samoa.moa.tasks.TaskMonitor taskMonitor,
                                                    org.apache.samoa.moa.core.ObjectRepository objectRepository)

      Specified by:
        `prepareForUseImpl` in class `org.apache.samoa.moa.options.AbstractOptionHandler`

    - #### generateHeader

          protected abstract void generateHeader()

    - #### nextInstance

          public abstract org.apache.samoa.moa.core.Example<org.apache.samoa.instances.Instance> nextInstance()

    - #### getHeader

          public org.apache.samoa.instances.InstancesHeader getHeader()

    - #### estimatedRemainingInstances

          public long estimatedRemainingInstances()

    - #### hasMoreInstances

          public boolean hasMoreInstances()

    - #### isRestartable

          public boolean isRestartable()

    - #### restart

          public void restart()

    - #### getDescription

          public void getDescription(StringBuilder stringBuilder,
                                     int i)

    - #### setCepEvents

          public void setCepEvents(Queue<double[]> cepEvents)

Copyright © 2017 WSO2. All rights reserved.